Name:			xnec2c
Version:		4.1.1
Release:		%mkrel 1
Summary:		GTK based graphical wrapper for nec2c
Group:			Communications/Radio
License:		GPLv2+
URL:			http://www.qsl.net/5b4az/
Source0:		http://www.qsl.net/5b4az/pkg/nec2/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	intltool

Requires:		nec2c

%description
xnec2c is a GUI interactive application that (in its current form) reads NEC2
input files but presents output data in graphical form, e.g. as wire frame
drawings of the radiation pattern or near E/H field, graphs of maximum gain,
input impedance, vswr etc against frequency and simple rendering of the antenna
structure, including color code representation of currents or charge densities.

These results are only calculated and drawn on user demand via menu items or
buttons, e.g. xnec2c is interactive and does not execute NEC2 "commands" in
batch style as the original does. 

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README
%doc doc/NearFieldCalcs.txt doc/NEC2-bug.txt doc/nec2c.txt doc/xnec2c.html
%doc doc/images examples
%{_bindir}/xnec2c
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/xnec2c.svg
%{_datadir}/doc/xnec2c/xnec2c.1.gz
%dir %{_datadir}/xnec2c
%{_datadir}/xnec2c/*
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/xnec2c.1*


%changelog
* Tue Sep 01 2020 barjac <barjac> 4.1.1-1.mga8
+ Revision: 1620706
- new version 4.1.1

* Fri Feb 14 2020 umeabot <umeabot> 4.1-2.mga8
+ Revision: 1521988
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 08 2019 barjac <barjac> 4.1-1.mga7
+ Revision: 1351542
- new version 4.1

* Sun Sep 23 2018 umeabot <umeabot> 3.9-2.mga7
+ Revision: 1301949
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 barjac <barjac> 3.9-1.mga7
+ Revision: 1238242
- new version 3.9
- icon and desktop file now provided by upstream
- examples are fixed upstream so no need to convert
- use autosetup and make-build

* Thu Jul 21 2016 barjac <barjac> 3.5-2.mga6
+ Revision: 1042949
- use more meaningful desktop file categories

* Fri Jul 15 2016 barjac <barjac> 3.5-1.mga6
+ Revision: 1042232
- new version 3.5

* Thu Jan 07 2016 barjac <barjac> 3.4-2.mga6
+ Revision: 920223
- fix Url and Source0

* Thu Dec 10 2015 barjac <barjac> 3.4-1.mga6
+ Revision: 909323
- new version 3.4

* Fri Jul 24 2015 barjac <barjac> 3.3-1.mga6
+ Revision: 857059
- clean spec
- Import xnec2c with thanks to Fedora

